<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:25 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TypesFactoryImpl (org.eclipse.papyrus.designer.ucm.types.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TypesFactoryImpl (org.eclipse.papyrus.designer.ucm.types.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":41,"i25":10,"i26":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypesFactoryImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/StructureImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesPackageImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html" target="_top">Frames</a></li>
<li><a href="TypesFactoryImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl</div>
<h2 title="Class TypesFactoryImpl" class="title">Class TypesFactoryImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EFactoryImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl.TypesFactoryImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TypesFactoryImpl</span>
extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Factory</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EFactoryImpl</h3>
<code>EDATE_FORMATS, ePackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.TypesFactory">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#eINSTANCE">eINSTANCE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#TypesFactoryImpl--">TypesFactoryImpl</a></span>()</code>
<div class="block">Creates an instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#convertPrimitiveCharKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">convertPrimitiveCharKindToString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;instanceValue)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#convertPrimitiveFloatKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">convertPrimitiveFloatKindToString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;instanceValue)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#convertPrimitiveIntegerKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">convertPrimitiveIntegerKindToString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;instanceValue)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#convertToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">convertToString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;instanceValue)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#create-org.eclipse.emf.ecore.EClass-">create</a></span>(org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Alias.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Alias</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createAlias--">createAlias</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Array.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Array</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createArray--">createArray</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/ArrayDimension.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">ArrayDimension</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createArrayDimension--">createArrayDimension</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">createFromString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/NativeType.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">NativeType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createNativeType--">createNativeType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveBoolean.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveBoolean</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveBoolean--">createPrimitiveBoolean</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveChar.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveChar</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveChar--">createPrimitiveChar</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveCharKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveCharKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveCharKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">createPrimitiveCharKindFromString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloat.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloat</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveFloat--">createPrimitiveFloat</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveFloatKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">createPrimitiveFloatKindFromString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                  <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveInteger.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveInteger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveInteger--">createPrimitiveInteger</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveIntegerKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveIntegerKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveIntegerKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">createPrimitiveIntegerKindFromString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveOctet.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveOctet</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveOctet--">createPrimitiveOctet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Sequence.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Sequence</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createSequence--">createSequence</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StringType.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">StringType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createStringType--">createStringType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Structure.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Structure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createStructure--">createStructure</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StructureField.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">StructureField</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createStructureField--">createStructureField</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Union.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Union</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createUnion--">createUnion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/UnionCase.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">UnionCase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createUnionCase--">createUnionCase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#getPackage--">getPackage</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;&nbsp;</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#getTypesPackage--">getTypesPackage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#init--">init</a></span>()</code>
<div class="block">Creates the default factory implementation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EFactoryImpl</h3>
<code>basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eBasicSetContainer, eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TypesFactoryImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TypesFactoryImpl</h4>
<pre>public&nbsp;TypesFactoryImpl()</pre>
<div class="block">Creates an instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a>&nbsp;init()</pre>
<div class="block">Creates the default factory implementation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="create-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EObject&nbsp;create(org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>create</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.EFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>create</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="createFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFromString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;createFromString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>createFromString</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.EFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createFromString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="convertToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertToString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;convertToString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                              <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;instanceValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>convertToString</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.EFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>convertToString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="createStructureField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStructureField</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StructureField.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">StructureField</a>&nbsp;createStructureField()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createStructureField--">createStructureField</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Structure Field</em>'.</dd>
</dl>
</li>
</ul>
<a name="createUnionCase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUnionCase</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/UnionCase.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">UnionCase</a>&nbsp;createUnionCase()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createUnionCase--">createUnionCase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Union Case</em>'.</dd>
</dl>
</li>
</ul>
<a name="createArrayDimension--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createArrayDimension</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/ArrayDimension.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">ArrayDimension</a>&nbsp;createArrayDimension()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createArrayDimension--">createArrayDimension</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Array Dimension</em>'.</dd>
</dl>
</li>
</ul>
<a name="createAlias--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAlias</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Alias.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Alias</a>&nbsp;createAlias()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createAlias--">createAlias</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Alias</em>'.</dd>
</dl>
</li>
</ul>
<a name="createStructure--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStructure</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Structure.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Structure</a>&nbsp;createStructure()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createStructure--">createStructure</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Structure</em>'.</dd>
</dl>
</li>
</ul>
<a name="createUnion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUnion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Union.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Union</a>&nbsp;createUnion()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createUnion--">createUnion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Union</em>'.</dd>
</dl>
</li>
</ul>
<a name="createArray--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createArray</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Array.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Array</a>&nbsp;createArray()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createArray--">createArray</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Array</em>'.</dd>
</dl>
</li>
</ul>
<a name="createStringType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStringType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StringType.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">StringType</a>&nbsp;createStringType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createStringType--">createStringType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>String Type</em>'.</dd>
</dl>
</li>
</ul>
<a name="createNativeType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNativeType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/NativeType.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">NativeType</a>&nbsp;createNativeType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createNativeType--">createNativeType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Native Type</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSequence--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSequence</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Sequence.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Sequence</a>&nbsp;createSequence()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createSequence--">createSequence</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sequence</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveInteger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveInteger</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveInteger.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveInteger</a>&nbsp;createPrimitiveInteger()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveInteger--">createPrimitiveInteger</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Integer</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveFloat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveFloat</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloat.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloat</a>&nbsp;createPrimitiveFloat()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveFloat--">createPrimitiveFloat</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Float</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveChar--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveChar</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveChar.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveChar</a>&nbsp;createPrimitiveChar()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveChar--">createPrimitiveChar</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Char</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveBoolean--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveBoolean</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveBoolean.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveBoolean</a>&nbsp;createPrimitiveBoolean()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveBoolean--">createPrimitiveBoolean</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Boolean</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveOctet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveOctet</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveOctet.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveOctet</a>&nbsp;createPrimitiveOctet()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveOctet--">createPrimitiveOctet</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Octet</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveIntegerKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveIntegerKindFromString</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveIntegerKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveIntegerKind</a>&nbsp;createPrimitiveIntegerKindFromString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="convertPrimitiveIntegerKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertPrimitiveIntegerKindToString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;convertPrimitiveIntegerKindToString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                  <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;instanceValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="createPrimitiveCharKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveCharKindFromString</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveCharKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveCharKind</a>&nbsp;createPrimitiveCharKindFromString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                           <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="convertPrimitiveCharKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertPrimitiveCharKindToString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;convertPrimitiveCharKindToString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;instanceValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="createPrimitiveFloatKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveFloatKindFromString</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a>&nbsp;createPrimitiveFloatKindFromString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                             <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="convertPrimitiveFloatKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertPrimitiveFloatKindToString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;convertPrimitiveFloatKindToString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;instanceValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="getTypesPackage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypesPackage</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesPackage</a>&nbsp;getTypesPackage()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#getTypesPackage--">getTypesPackage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
<a name="getPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPackage</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesPackage</a>&nbsp;getPackage()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypesFactoryImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/StructureImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesPackageImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html" target="_top">Frames</a></li>
<li><a href="TypesFactoryImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
